1.1.3 Jailbreak: Is Downgrading Baseband Always Required

Discussion in 'Jailbreaks and iOS Hacks' started by davpel, Feb 4, 2008.

  1. davpel macrumors member

    Joined:
    Jul 3, 2007
    #1
    I would really appreciate it if someone could set me straight on this point. I have an original Day 1 iPhone. I'm an AT&T customer and have no desire to unlock . . . I'm only interested in jailbreaking.

    Last week, I ended up going from a jailbroken 1.1.2 to a non-jailbroken 1.1.3 (don't ask . . . had issues). Now I want to jailbreak 1.1.3. All of the instructions have the user to a baseband downgrade as part of the process. My question is whether this is necessary for someone like me who has no interest in unlocking? I understand that moving back to 1.1.1 or 1.1.2 will cause the phone to no longer work, but if I then go back to 1.1.3 using either devteam or Nate, won't the phone work again?

    Thanks in advance.
     
  2. ChrisCarter770 macrumors newbie

    Joined:
    Feb 1, 2008
    #2
    SOUNDS like you've turned your iphone into a Ipod Touch with a camera attached. Someone correct me if i'm wrong but is he screwed????
     
  3. davpel thread starter macrumors member

    Joined:
    Jul 3, 2007
    #3
    Maybe I wasn't clear. I'm on 1.1.3 with a working phone right now. My question is what happens if I decide to jailbreak without downgrading the baseband. As an AT&T customer, will I still have phone service when I go back up to 1.1.3 via the jailbreak?
     
  4. pr0naLd macrumors newbie

    Joined:
    Jan 22, 2005
    Location:
    Houston, TX
    #4
  5. hedsick macrumors newbie

    Joined:
    Feb 4, 2008
    Location:
    Baton Rouge, LA
    #5
    I also have a day 1 phone and I upgraded to jailbroken 1.1.3 using

    http://nawafx.com/page4/page4.html

    As it first requires you to upgrade the baseband to 1.1.3 anyways, I'm sure you can use this to jailbreak. However, the phone will not work unless you are on 1.1.3.

    There are also ways of downgrading the baseband that can be found over at hackintosh.com i believe. Hope this helps.
     
  6. socceteer macrumors newbie

    Joined:
    Feb 1, 2008
    #6
    New iphone with 1.1.3

    So to make it clear....if you have a new phone with 1.1.3 already installed. And active using AT@T. You have to go to the downgrade process to install the Apps. There is no IBREKR or install.App that will directly hack the latest Firmware (1.1.3) version..!

    Am I missing something..?

    If I am wrong, can you please give me some direction to how it is done. I read all the links and they all tell you to downgrade and then install. Also I need a Winsows solution
     

Share This Page